Package ru.bitel.bgbilling.modules.drwebn.common.bean

# Class DrwebTariff

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.modules.drwebn.common.bean.DrwebTariff

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`

public class DrwebTariff extends Id implements GuiTitlable

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DrwebTariff()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Date`
  `getDateFromView()`
  `Date`
  `getDateFromWork()`
  `Date`
  `getDateToView()`
  `Date`
  `getDateToWork()`
  `String`
  `getGroupForView()`
  `String`
  `getGroupTitle()`
  `String`
  `getGuiTitle()`
  Строка - имя объекта.
  `int`
  `getNextTariff()`
  `int`
  `getSid()`
  `int`
  `getSidForNew()`
  `String`
  `getTitle()`
  `boolean`
  `isOnlyForNew()`
  `void`
  `setDateFromView(Date dateFromView)`
  `void`
  `setDateFromWork(Date dateFromWork)`
  `void`
  `setDateToView(Date dateToView)`
  `void`
  `setDateToWork(Date dateToWork)`
  `void`
  `setGroupForView(String groupForView)`
  `void`
  `setGroupTitle(String groupTitle)`
  `void`
  `setNextTariff(int nextTariff)`
  `void`
  `setOnlyForNew(boolean onlyForNew)`
  `void`
  `setSid(int sid)`
  `void`
  `setSidForNew(int sidForNew)`
  `void`
  `setTitle(String title)`
  `String`
  `toString()`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DrwebTariff

    public DrwebTariff()

- ## Method Details

  - ### getSid

    public int getSid()

  - ### setSid

    public void setSid(int sid)

  - ### getTitle

    public String getTitle()

  - ### setTitle

    public void setTitle(String title)

  - ### getGroupTitle

    public String getGroupTitle()

  - ### setGroupTitle

    public void setGroupTitle(String groupTitle)

  - ### getDateFromView

    public Date getDateFromView()

  - ### setDateFromView

    public void setDateFromView(Date dateFromView)

  - ### getDateToView

    public Date getDateToView()

  - ### setDateToView

    public void setDateToView(Date dateToView)

  - ### getDateFromWork

    public Date getDateFromWork()

  - ### setDateFromWork

    public void setDateFromWork(Date dateFromWork)

  - ### getDateToWork

    public Date getDateToWork()

  - ### setDateToWork

    public void setDateToWork(Date dateToWork)

  - ### getNextTariff

    public int getNextTariff()

  - ### setNextTariff

    public void setNextTariff(int nextTariff)

  - ### getGroupForView

    public String getGroupForView()

  - ### setGroupForView

    public void setGroupForView(String groupForView)

  - ### isOnlyForNew

    public boolean isOnlyForNew()

  - ### setOnlyForNew

    public void setOnlyForNew(boolean onlyForNew)

  - ### getSidForNew

    public int getSidForNew()

  - ### setSidForNew

    public void setSidForNew(int sidForNew)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Id`

  - ### getGuiTitle

    public String getGuiTitle()
    Description copied from interface: `GuiTitlable`
    Строка - имя объекта. Скорее всего уникальная. Используется в комбобоксах, например, итд.
    Specified by:
      `getGuiTitle` in interface `GuiTitlable`
    Returns:
      Строка - представление объекта.